### Method

# GLib Queue push_nth

since: 2.4

#### Declaration

    void
    g_queue_push_nth (
      GQueue* queue,
      gpointer data,
      gint n
    )

#### Description

Inserts a new element into `queue` at the given position.

Available since: 2.4

#### Parameters

`data`

  Type: `gpointer`

  The data for the new element.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`n`

  Type: `gint`

  The position to insert the new element. If `n` is negative or larger than the number of elements in the `queue`, the element is added to the end of the queue.